<template>
  <div>
    <b-button pill @click="$bvModal.show('modal-scoped')" variant="primary" size="lg">
      Add to-do
    <b-icon icon="file-earmark-plus"></b-icon>
    </b-button>

    <b-modal
      id="modal-scoped"
      ref="my-modal"
      hide-header-close
      title="Add new Data"
      header-bg-variant="primary"
      header-text-variant="white"
    >
      <label>What do you want to List?</label>
      <b-form-input v-model="Daily" placeholder="Text"></b-form-input>
      <template #modal-footer="{ hide }">
        <b-button  variant="danger" class="mt-3" @click="clear();hide()">Cancel</b-button>
        <b-button v-b-modal.modal-multi-3 variant="success" class="mt-3" @click="$emit('save',saveData());hide();clear()">Save</b-button>
      </template>
    </b-modal>
     <!-- <b-modal 
     hide-header-close 
     id="modal-multi-3" 
     size="sm" title="Thank you!" 
     header-bg-variant="success"
     header-text-variant="white"
     ok-only>
    <p class="my-1">Create success!</p>
  </b-modal> -->
  </div>
</template>
<script>

export default {
  name: "AddBtn",
  data() {
    return {
      Daily: "",
    };
  },
  validations(){
    return {
      Daily:"",
    }
  },
  methods: {
    saveData() {
      const data = {
        Daily: this.Daily,
      };
      return data;
    },
    clear() {
      this.Daily = "";
    },
  },
};
</script>
